Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class CivilstateHistoryType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.HistoryType
          be.fgov.ehealth.consultrn._1_0.core.CivilstateHistoryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class CivilstateHistoryType

extends HistoryType
implements Serializable

Java class for CivilstateHistoryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CivilstateHistoryType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:core}HistoryType">
           <sequence>
             <element name="CivilState" type="{urn:be:fgov:ehealth:consultRN:1_0:core}CivilStateType"/>
             <element name="ActNumber" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CivilstateHistoryType()`

Method Summary
`BigInteger` | `getActNumber()` Gets the value of the actNumber property.
`CivilStateType` | `getCivilState()` Gets the value of the civilState property.
`void` | `setActNumber(BigInteger value)` Sets the value of the actNumber property.
`void` | `setCivilState(CivilStateType value)` Sets the value of the civilState property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.core.HistoryType
`getEffectuationDate, getModificationDate, getSource, setEffectuationDate, setModificationDate, setSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CivilstateHistoryType

    public CivilstateHistoryType()

Method Detail

### getCivilState

    public CivilStateType getCivilState()

  Gets the value of the civilState property.

  Returns:
    possible object is `CivilStateType`

### setCivilState

    public void setCivilState(CivilStateType value)

  Sets the value of the civilState property.

  Parameters:
    `value` - allowed object is `CivilStateType`

### getActNumber

    public BigInteger getActNumber()

  Gets the value of the actNumber property.

  Returns:
    possible object is `BigInteger`

### setActNumber

    public void setActNumber(BigInteger value)

  Sets the value of the actNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.